\section{Literature Review}\label{s:literature}

In recent years, mostly hybrid approaches are used, utilising advantages of both. Amazon.com uses an item-to-item \ac{cf} approach, in which for purchased items a corresponding item list is generated, which can be suggested to the user, according to the buying behaviour of other users. In case of search queries, those are treated as items and likewise, suggestions are given according to the item lists generated. \iacite{linden.2003}. In \emph{\icitetitle{elkahky.2015}} by \icite{elkahky.2015} the browsing history of users is used to learn a deep model. This approach uses the content of the user for the learning of multiple domains (Windows apps, news and movies) to create a vast latent space with user similarities for collaborative recommendations. Further examples are of \icite{lu.2015} for news recommendations, \icite{good.1999}, web-service recommendation by \iacite{yao.2015} and music recommendation by \icite{wang.2014}. \icite{NOGUERA201237} introduce a novel location-aware hybrid recommender for mobile devices, that prefilters the items to predict based on the user's location. This system thereafter uses a \ac{cf} and a knowledge-based recommender  respectively. A knowledge-based recommender is pretrained by the user's preferences and can be used to circumvent the cold-start problem. After the recommendations are returned by the two recommenders, a reranking takes place according to the distance to the user. In the user study they performed $75\%$ of the testers stated, that they preferred this approeach, while $100\%$, stated that they prefer the location-aware approach. \icite{ricci.2003} proposes an interesting approach in the recommendation to queries. The hybrid recommender consisting of \ac{cf} and \ac{cbf} features, was queried by a study group of 35 people, of which 16 tested a variant whith the interactive query management and the other group without. Both parties had no knowledge of the fact that two different tests were performed. The quality of the queries was approximately the same in both cases, the number of executed queries, however, was drastically less in the prototype with the interactive query management. There people however preferred the query relaxation over the tightening proposed.

Recommender systems for free-form content can be found mostly in the books and news sections, as well as the social web. \icite{Pera:2015:ABF:2700171.2791037} try to recommend books to emergent readers. Therefore the recommender \emph{K3Rec} not only has to find books matching their interest, but also match their reading skills. The level of the books are determined by TRoLL, which is a regression based readability prediction tool. \emph{K3Rec} is compared to \emph{BReK12} which was at the time the only related recommender. Comparing the two, it takes the new recommender one book suggestion before locating a relevant one, while as for \emph{BReK12} it takes on average two. It ($42\%$) also outperforms Amazon ($36\%$), GoodReads ($22\%$) and NoveList ($16\%$) in accuarcy, when comparing the recommendations of the top hits.

The cold start problem as mentioned before, is one of the core problems, that need to be solved for recommender systems. While there is a lot of work on the item cold start problem, that can be solved by using \ac{cbf} methods \iacite{schein.2002, barjasteh.2015}, the user cold start problem is usually solved by using social connections \iacite{guo.2014} or demographic information \iacite{sedhain.2014}. This is enough if there is any user information available before one needs recommendations, i.e. only events near my home address are interesting, or I joined the system and became friends immediately with the one who recommended the software to me.

In some cases though, no user information is available or the interests of friends and demographically similar people do not align with the user. This could be solved by leveraging pre-trained models, that are assigned to new users, based on a start up quiz \iacite{graus.2015}. To further improve the user's interest model until it is truly adapted, a mixture of exploration and exploitation helps avoiding local optima \iacite{cohen.2017}.